Skip to main content
`Ctrl`+`K`

# PetscCallNull

Calls a PETSc function and then checks the resulting error code, if it is non-zero it calls the error handler and returns a `NULL`

## Synopsis

    #include <petscsys.h>
    void PetscCallNull(PetscFunction(args))

Not Collective; No Fortran Support

## Input Parameter

- PetscFunction - any PETSc function that returns something that can be returned as a `NULL`

## See Also

`PetscCall()`, `SETERRQ()`, `PetscCheck()`, `PetscAssert()`, `PetscTraceBackErrorHandler()`, `PetscCallMPI()`, `PetscPushErrorHandler()`, `PetscError()`, `CHKMEMQ`, `CHKERRA()`, `CHKERRMPI()`, `PetscCallBack()`, `PetscCallAbort()`, `PetscCallVoid()`, `PetscCall()`

## Level

developer

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages